# Generated by Django 5.0.4 on 2024-09-28 09:08

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("books", "0002_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="CollabSimilarity",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("created", models.DateTimeField(auto_now_add=True)),
                ("similarity", models.FloatField()),
                (
                    "source",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, related_name="source", to="books.book"
                    ),
                ),
                (
                    "target",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, related_name="target", to="books.book"
                    ),
                ),
            ],
            options={
                "db_table": "similarity",
                "unique_together": {("source", "target")},
            },
        ),
    ]
